'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _regeneratorRuntime = _interopDefault(require('babel-runtime/regenerator'));
var _asyncToGenerator = _interopDefault(require('babel-runtime/helpers/asyncToGenerator'));
var _typeof = _interopDefault(require('babel-runtime/helpers/typeof'));
var _Object$keys = _interopDefault(require('babel-runtime/core-js/object/keys'));
var rollupPluginutils = require('rollup-pluginutils');
var _Object$assign = _interopDefault(require('babel-runtime/core-js/object/assign'));
var _JSON$stringify = _interopDefault(require('babel-runtime/core-js/json/stringify'));
var _getIterator = _interopDefault(require('babel-runtime/core-js/get-iterator'));
var deIndent = _interopDefault(require('de-indent'));
var htmlMinifier = _interopDefault(require('html-minifier'));
var parse5 = _interopDefault(require('parse5'));
var templateValidator = _interopDefault(require('vue-template-validator'));
var transpileVueTemplate = _interopDefault(require('vue-template-es2015-compiler'));
var fs = require('fs');
var _extends = _interopDefault(require('babel-runtime/helpers/extends'));
var postcss = _interopDefault(require('postcss'));
var modules = _interopDefault(require('postcss-modules'));
var sass = _interopDefault(require('node-sass'));
var postHtml = _interopDefault(require('posthtml'));
var parseAttrs = _interopDefault(require('posthtml-attrs-parser'));
var pug = _interopDefault(require('pug'));
var path = require('path');
var MagicString = _interopDefault(require('magic-string'));
var debug = _interopDefault(require('debug'));

function compileModule(code, map, source, options) {
    var style = void 0;

    return postcss([
    modules(_extends({
        getJSON: function getJSON(filename, json) {
            style = json;
        } },
    options.modules))]).

    process(code, { map: { inline: false, prev: map }, from: source.id, to: source.id }).
    then(
    function (result) {return { code: result.css, map: result.map, module: style };},
    function (error) {
        throw error;
    });
}

var compileCSS = (function () {var _ref = _asyncToGenerator(_regeneratorRuntime.mark(function _callee(promise, options) {var style, _ref2, code, map, output;return _regeneratorRuntime.wrap(function _callee$(_context) {while (1) {switch (_context.prev = _context.next) {case 0:_context.next = 2;return (
                            promise);case 2:style = _context.sent;_ref2 =
                        '$compiled' in style ? style.$compiled : style, code = _ref2.code, map = _ref2.map;if (!(

                        style.module === true)) {_context.next = 6;break;}return _context.abrupt('return',
                        compileModule(code, map, style, options).then(function (compiled) {
                            if (style.$compiled) {
                                compiled.$prev = style.$compiled;
                            }

                            style.$compiled = compiled;

                            return style;
                        }));case 6:


                        output = { code: code, map: map, lang: 'css' };

                        if (style.$compiled) output.$prev = style.$compiled;

                        style.$compiled = output;return _context.abrupt('return',

                        style);case 10:case 'end':return _context.stop();}}}, _callee, this);}));return function (_x, _x2) {return _ref.apply(this, arguments);};})();

var compileSCSS = function (style, options) {var _sass$renderSync =
    sass.renderSync(_extends({
        file: style.id,
        data: style.code,
        omitSourceMapUrl: true,
        sourceMap: true,
        outFile: style.id },
    options.scss)),css = _sass$renderSync.css,map = _sass$renderSync.map;


    style.$compiled = {
        code: css.toString(),
        map: map.toString() };


    return style;
};

var compilers = {
    scss: compileSCSS,
    sass: compileSCSS };


var compile = function () {var _ref = _asyncToGenerator(_regeneratorRuntime.mark(function _callee(style, options) {var output;return _regeneratorRuntime.wrap(function _callee$(_context) {while (1) {switch (_context.prev = _context.next) {case 0:
                        output = void 0;if (!(

                        style.lang === 'css')) {_context.next = 7;break;}_context.next = 4;return (
                            compileCSS(style, options));case 4:output = _context.sent;_context.next = 15;break;case 7:_context.t0 =

                        compileCSS;_context.next = 10;return compilers[style.lang].call(null, style, options);case 10:_context.t1 = _context.sent;_context.t2 = options;_context.next = 14;return (0, _context.t0)(_context.t1, _context.t2);case 14:output = _context.sent;case 15:return _context.abrupt('return',


                        output);case 16:case 'end':return _context.stop();}}}, _callee, this);}));return function compile(_x, _x2) {return _ref.apply(this, arguments);};}();


var compileStyle = function (files, options) {
    if (options.css === false) {
        return;
    }

    // Combine all stylesheets.
    var css = '';
    var allStyles = [];

    _Object$keys(files).forEach(function (file) {
        files[file].forEach(function (style) {
            css += style.code + '\n';
            allStyles.push(style);
        });
    });

    // Emit styles through callback
    if (typeof options.css === 'function') {
        options.css(css, allStyles, compile);

        return;
    }

    // Don't generate empty style file.
    if (!css.trim().length) {
        return;
    }

    var dest = options.css;

    if (typeof dest !== 'string') {
        return;
    }

    // Emit styles to file
    fs.writeFile(dest, css, function (err) {
        if (err) throw err;
    });
};

var plugin = function plugin(modules$$1) {
    return function cssModules(tree) {
        tree.match({ attrs: { 'class': /\w+/ } }, function (node) {
            var attrs = parseAttrs(node.attrs);

            if (attrs.class) {
                attrs.class = attrs.class.map(function (c) {return modules$$1[c] || c;});

                node.attrs = attrs.compose();
            }

            return node;
        });
    };
};

var compileHTML = (function () {var _ref = _asyncToGenerator(_regeneratorRuntime.mark(function _callee(template, extras, options) {var output;return _regeneratorRuntime.wrap(function _callee$(_context) {while (1) {switch (_context.prev = _context.next) {case 0:if (!(
                        'modules' in extras && _Object$keys(extras.modules).length)) {_context.next = 5;break;}_context.next = 3;return (
                            postHtml([
                            plugin(extras.modules)]).
                            process(template));case 3:output = _context.sent;return _context.abrupt('return',

                        output.html);case 5:return _context.abrupt('return',


                        template);case 6:case 'end':return _context.stop();}}}, _callee, this);}));return function (_x, _x2, _x3) {return _ref.apply(this, arguments);};})();

var compilePug = (function () {var _ref = _asyncToGenerator(_regeneratorRuntime.mark(function _callee(template, extras, options) {var compiler;return _regeneratorRuntime.wrap(function _callee$(_context) {while (1) {switch (_context.prev = _context.next) {case 0:
                        compiler = pug.compile(template, _extends({ filename: extras.id }, options.pug));return _context.abrupt('return',

                        compiler({ css: extras.modules || {} }));case 2:case 'end':return _context.stop();}}}, _callee, this);}));return function (_x, _x2, _x3) {return _ref.apply(this, arguments);};})();

var compilers$1 = {
    html: compileHTML,
    pug: compilePug,
    jade: compilePug };


var templateProcessor = (function () {var _ref = _asyncToGenerator(_regeneratorRuntime.mark(function _callee(template, extras, options) {return _regeneratorRuntime.wrap(function _callee$(_context) {while (1) {switch (_context.prev = _context.next) {case 0:_context.next = 2;return (
                            compilers$1[extras.lang || 'html'].call(null, template, extras, options));case 2:return _context.abrupt('return', _context.sent);case 3:case 'end':return _context.stop();}}}, _callee, this);}));return function (_x, _x2, _x3) {return _ref.apply(this, arguments);};})();

var debug$1 = debug('rollup-plugin-vue');

/**
                                                                                                                                                                                                                                                                                                                                                                                                    * Compile template: DeIndent and minify html.
                                                                                                                                                                                                                                                                                                                                                                                                    */var processTemplate = function () {var _ref = _asyncToGenerator(_regeneratorRuntime.mark(
    function _callee(source, id, content, options, nodes, modules$$1) {var extras, code, template;return _regeneratorRuntime.wrap(function _callee$(_context) {while (1) {switch (_context.prev = _context.next) {case 0:if (!(
                        source === undefined)) {_context.next = 2;break;}return _context.abrupt('return', undefined);case 2:

                        extras = { modules: modules$$1, id: id, lang: source.attrs.lang };
                        code = source.code;_context.t0 =
                        deIndent;_context.next = 7;return (
                            options.disableCssModuleStaticReplacement !== true ?
                            templateProcessor(code, extras, options) :
                            code);case 7:_context.t1 = _context.sent;template = (0, _context.t0)(_context.t1);


                        if (!options.compileTemplate) {
                            validateTemplate(code, content, id);
                        }return _context.abrupt('return',

                        htmlMinifier.minify(template, options.htmlMinifier));case 11:case 'end':return _context.stop();}}}, _callee, this);}));return function processTemplate(_x, _x2, _x3, _x4, _x5, _x6) {return _ref.apply(this, arguments);};}();var processScript = function () {var _ref2 = _asyncToGenerator(_regeneratorRuntime.mark(


    function _callee2(source, id, content, options, nodes, modules$$1) {var template, lang, script, map, scriptWithModules, render;return _regeneratorRuntime.wrap(function _callee2$(_context2) {while (1) {switch (_context2.prev = _context2.next) {case 0:_context2.next = 2;return (
                            processTemplate(nodes.template[0], id, content, options, nodes, modules$$1));case 2:template = _context2.sent;

                        lang = source.attrs.lang || 'js';

                        script = deIndent(padContent(content.slice(0, content.indexOf(source.code))) + source.code);
                        map = new MagicString(script).generateMap({ hires: true });
                        scriptWithModules = injectModule(script, lang, options, modules$$1);if (!(

                        template && options.compileTemplate)) {_context2.next = 12;break;}
                        render = require('vue-template-compiler').compile(template);return _context2.abrupt('return',

                        { map: map, code: injectRender(scriptWithModules, render, lang, options, modules$$1) });case 12:if (!
                        template) {_context2.next = 16;break;}return _context2.abrupt('return',
                        { map: map, code: injectTemplate(scriptWithModules, template, lang, options, modules$$1) });case 16:return _context2.abrupt('return',

                        { map: map, code: scriptWithModules });case 17:case 'end':return _context2.stop();}}}, _callee2, this);}));return function processScript(_x7, _x8, _x9, _x10, _x11, _x12) {return _ref2.apply(this, arguments);};}();var processStyle = function () {var _ref3 = _asyncToGenerator(_regeneratorRuntime.mark(



    function _callee3(styles, id, content, options) {var outputs, i, style, code, map, output;return _regeneratorRuntime.wrap(function _callee3$(_context3) {while (1) {switch (_context3.prev = _context3.next) {case 0:
                        outputs = [];

                        i = 0;case 2:if (!(i < styles.length)) {_context3.next = 19;break;}
                        style = styles[i];

                        code = deIndent(
                        padContent(content.slice(0, content.indexOf(style.code))) + style.code);


                        map = new MagicString(code).generateMap({ hires: true });

                        output = {
                            id: id,
                            code: code,
                            map: map,
                            lang: style.attrs.lang || 'css',
                            module: 'module' in style.attrs,
                            scoped: 'scoped' in style.attrs };if (!


                        options.autoStyles) {_context3.next = 15;break;}_context3.t0 =
                        outputs;_context3.next = 11;return compile(output, options);case 11:_context3.t1 = _context3.sent;_context3.t0.push.call(_context3.t0, _context3.t1);_context3.next = 16;break;case 15:

                        outputs.push(output);case 16:i += 1;_context3.next = 2;break;case 19:return _context3.abrupt('return',



                        outputs);case 20:case 'end':return _context3.stop();}}}, _callee3, this);}));return function processStyle(_x13, _x14, _x15, _x16) {return _ref3.apply(this, arguments);};}();function getNodeAttrs(node) {if (node.attrs) {var attributes = {};var _iteratorNormalCompletion = true;var _didIteratorError = false;var _iteratorError = undefined;try {for (var _iterator = _getIterator(node.attrs), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {var attr = _step.value;attributes[attr.name] = attr.value;}} catch (err) {_didIteratorError = true;_iteratorError = err;} finally {try {if (!_iteratorNormalCompletion && _iterator.return) {_iterator.return();}} finally {if (_didIteratorError) {throw _iteratorError;}}}return attributes;}return {};} /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            * Pad content with empty lines to get correct line number in errors.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            */function padContent(content) {return content.split(/\r?\n/g).map(function () {return '';}).join('\n');} /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       * Wrap code inside a with statement inside a function
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       * This is necessary for Vue 2 template compilation
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       */function wrapRenderFunction(code) {return 'function(){' + code + '}';}function injectModule(script, lang, options, modules$$1) {if (_Object$keys(modules$$1).length === 0) return script;if (['js', 'babel'].indexOf(lang.toLowerCase()) > -1) {var matches = /(export default[^{]*\{)/g.exec(script);if (matches) {var moduleScript = matches[1] + 'cssModules: ' + _JSON$stringify(modules$$1) + ',';return script.split(matches[1]).join(moduleScript);}} else if (typeof options.injectModule === 'function') {return options.injectModule(script, lang, options, modules$$1);}throw new Error('[rollup-plugin-vue] could not inject css module in script');}function injectRender(script, render, lang, options, modules$$1) {if (['js', 'babel'].indexOf(lang.toLowerCase()) > -1) {var matches = /(export default[^{]*\{)/g.exec(script);if (matches) {var renderScript = 'module.exports={' + ('render: ' + wrapRenderFunction(render.render) + ',') + 'staticRenderFns: [' + (render.staticRenderFns.map(wrapRenderFunction).join(',') + '],}');if (options.stripWith !== false) {renderScript = transpileVueTemplate(renderScript, options.vue);}return script.split(matches[1]).join(renderScript.replace('module.exports={', 'export default {').replace(/\}$/, ''));}debug$1('No injection location found in: \n' + script + '\n');} else if (typeof options.inject === 'function') {return options.inject(script, render, lang, options);}throw new Error('[rollup-plugin-vue] could not find place to inject template in script.');} /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             * @param script
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             * @param template
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             * @param lang
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             * @param options
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             * @param modules
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             * @returns {string}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             */function injectTemplate(script, template, lang, options, modules$$1) {if (template === undefined) return script;if (['js', 'babel'].indexOf(lang.toLowerCase()) > -1) {var matches = /(export default[^{]*\{)/g.exec(script);if (matches) {return script.split(matches[1]).join(matches[1] + ' template: ' + _JSON$stringify(template) + ',');}debug$1('No injection location found in: \n' + script + '\n');} else if (typeof options.inject === 'function') {return options.inject(script, template, lang, options);}throw new Error('[rollup-plugin-vue] could not find place to inject template in script.');}var validateTemplate = function validateTemplate(code, content, id) {var warnings = templateValidator(code, content);if (warnings) {(function () {var relativePath = path.relative(process.cwd(), id);warnings.forEach(function (msg) {console.warn('\n Warning in ' + relativePath + ':\n ' + msg);});})();}};function parseTemplate(code) {var fragment = parse5.parseFragment(code, { locationInfo: true });var nodes = { template: [], script: [], style: [] };for (var i = fragment.childNodes.length - 1; i >= 0; i -= 1) {
        var name = fragment.childNodes[i].nodeName;
        if (!(name in nodes)) {
            continue;
        }

        var start = fragment.childNodes[i].__location.startTag.endOffset;
        var end = fragment.childNodes[i].__location.endTag.startOffset;

        nodes[name].push({
            node: fragment.childNodes[i],
            code: code.substr(start, end - start),
            attrs: getNodeAttrs(fragment.childNodes[i]) });

    }

    if (nodes.script.length === 0) {
        nodes.script.push({
            node: null,
            code: 'export default {\n}',
            attrs: {} });

    }

    return nodes;
}

var getModules = function getModules(styles) {
    var all = {};

    for (var i = 0; i < styles.length; i += 1) {
        var style = styles[i];

        if (style.module) {
            all = _Object$assign(all, style.$compiled.module);
        }
    }

    return all;
};

var vueTransform = (function () {var _ref4 = _asyncToGenerator(_regeneratorRuntime.mark(function _callee4(code, id, options) {var nodes, css, modules$$1, js, isProduction, isWithStripped, style;return _regeneratorRuntime.wrap(function _callee4$(_context4) {while (1) {switch (_context4.prev = _context4.next) {case 0:
                        nodes = parseTemplate(code);_context4.next = 3;return (
                            processStyle(nodes.style, id, code, options, nodes));case 3:css = _context4.sent;
                        modules$$1 = getModules(css);_context4.next = 7;return (
                            processScript(nodes.script[0], id, code, options, nodes, modules$$1));case 7:js = _context4.sent;

                        isProduction = process.env.NODE_ENV === 'production';
                        isWithStripped = options.stripWith !== false;

                        if (!isProduction && !isWithStripped) {
                            js.code = js.code + '\nmodule.exports.render._withStripped = true';
                        }if (!(

                        options.styleToImports === true)) {_context4.next = 14;break;}
                        style = css.map(function (s, i) {return 'import ' + _JSON$stringify(id + '.' + i + '.vue.component.' + s.lang) + ';';}).join(' ');return _context4.abrupt('return',

                        { css: css, code: style + js.code, map: js.map });case 14:return _context4.abrupt('return',


                        { css: css, code: js.code, map: js.map });case 15:case 'end':return _context4.stop();}}}, _callee4, this);}));function vueTransform(_x17, _x18, _x19) {return _ref4.apply(this, arguments);}return vueTransform;})();

var DEFAULT_OPTIONS = {
    htmlMinifier: {
        customAttrSurround: [[/@/, new RegExp('')], [/:/, new RegExp('')]],
        collapseWhitespace: true,
        removeComments: true },

    vue: {
        // Remove all transforms added by vue since it's up to the user
        // to use whatever he wants
        // https://github.com/vuejs/vue-template-es2015-compiler/blob/master/index.js#L6
        transforms: {
            stripWith: true, // remove the with statement

            arrow: false,
            classes: false,
            collections: false,
            computedProperty: false,
            conciseMethodProperty: false,
            constLoop: false,
            dangerousForOf: false,
            dangerousTaggedTemplateString: false,
            defaultParameter: false,
            destructuring: false,
            forOf: false,
            generator: false,
            letConst: false,
            modules: false,
            numericLiteral: false,
            parameterDestructuring: false,
            reservedProperties: false,
            spreadRest: false,
            stickyRegExp: false,
            templateString: false,
            unicodeRegExp: false } },


    styleToImports: false,
    autoStyles: true,
    disableCssModuleStaticReplacement: false,
    modules: {
        generateScopedName: '[name]__[local]___[hash:base64:5]' },

    scss: {},
    pug: {} };

function mergeOptions(options, defaults) {
    _Object$keys(defaults).forEach(function (key) {
        var val = defaults[key];

        if (key in options) {
            if (_typeof(options[key]) === 'object') {
                mergeOptions(options[key], val);
            }
        } else {
            options[key] = val;
        }
    });

    return options;
}

function vue() {var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    debug$1('Yo! rolling vue!');
    var filter = rollupPluginutils.createFilter(options.include, options.exclude);

    delete options.include;
    delete options.exclude;

    /* eslint-disable */
    try {
        var vueVersion = require('vue').version;
        if (parseInt(vueVersion.split('.')[0], 10) >= 2) {
            if (!('compileTemplate' in options)) {
                debug$1('Vue 2.0 detected. Compiling template.');
                options.compileTemplate = true;
            }
        } else {
            if (options.compileTemplate === true) {
                console.warn('Vue version < 2.0.0 does not support compiled template.');
            }
            options.compileTemplate = false;
        }
    } catch (e) {}
    /* eslint-enable */

    options = mergeOptions(options, DEFAULT_OPTIONS);

    var styles = {};

    return {
        name: 'vue',
        options: function options(opts) {
            DEFAULT_OPTIONS.css = (opts.dest || 'bundle.js').replace(/js$/i, 'css');
        },
        resolveId: function resolveId(id) {
            if (id.indexOf('.vue.component.') > -1) {
                return id;
            }
        },
        load: function load(id) {
            if (id.indexOf('.vue.component.') > -1) {
                var parts = id.split('.');
                var component = parts.slice(0, parts.length - 4).join('.');
                var index = parseInt(parts[parts.length - 4]);

                return styles[component][index] || '';
            }
        },
        transform: function transform(source, id) {var _this = this;return _asyncToGenerator(_regeneratorRuntime.mark(function _callee() {var _ref, code, css, map;return _regeneratorRuntime.wrap(function _callee$(_context) {while (1) {switch (_context.prev = _context.next) {case 0:if (!(
                                !filter(id) || !id.endsWith('.vue'))) {_context.next = 3;break;}
                                debug$1('Ignore: ' + id);return _context.abrupt('return',
                                null);case 3:_context.next = 5;return (


                                    vueTransform(source, id, options));case 5:_ref = _context.sent;code = _ref.code;css = _ref.css;map = _ref.map;

                                styles[id] = css;return _context.abrupt('return',

                                { code: code, map: map });case 11:case 'end':return _context.stop();}}}, _callee, _this);}))();
        },

        ongenerate: function ongenerate() {
            if (options.styleToImports !== true) {
                if (options.css === undefined || options.css === null) options.css = DEFAULT_OPTIONS.css;
                compileStyle(styles, options);
            }
        } };

}

module.exports = vue;
